 /*  

// for external eeprom AT24CP32N adress up to FF

unsigned int tok;        // double-byte variable "tok"
tok=eee_read_int(0x00);  // read tok from eeprom on adress 0x00
eee_write_int(0x00,tok); // write tok in eeprom on adress 0x00

float Fy;
E2P_write_float(0x06,Fy); // record in eeprom on adress 0x06 float Fx=3.1415926
Fy=E2P_read_float(0x06); // read from adress 006 float Fx=3.1415926

long Lx;
E2P_write_long(0x02,Lx); // record in eeprom on adress 0x02 long Lx=345867;
Lx=E2P_read_long(0x02); // read from adress 002 long Lx=345867

      
 */

 
  unsigned char loww (unsigned int two_byte)  //     
  {return (two_byte&0b0000000011111111);}

  unsigned char highw (unsigned int two_byte) //     
  {return ((two_byte&0b1111111100000000)>>8);}

void E2P_write_int(unsigned int addr, unsigned int two_byte) //      addr    Int
{
    unsigned char low_byte;
    unsigned char high_byte;
    low_byte=loww(two_byte);
    high_byte=highw(two_byte);
    EEPROM_Write (addr++,high_byte);
    EEPROM_Write (addr,low_byte);
}
 unsigned int  E2P_read_int (unsigned int addr)   //      addr  Int
 {
      return ((unsigned int)EEPROM_read(addr++)<<8) + EEPROM_read(addr);
 }
 
 void E2P_write_long(unsigned int addr, unsigned long four_byte) //      addr    long int
{
    unsigned char f_byte;
    unsigned char s_byte;
    unsigned char t_byte;
    unsigned char fth_byte;

    f_byte =    four_byte&0xFF;
    s_byte =   (four_byte&0xFF00)>>8;
    t_byte  =  (four_byte&0xFF0000)>>16;
    fth_byte = (four_byte&0xFF000000)>>24;

    EEPROM_Write (addr++,fth_byte);
    EEPROM_Write (addr++,t_byte);
    EEPROM_Write (addr++,s_byte);
    EEPROM_Write (addr,f_byte);
}

 unsigned long E2P_read_long(unsigned int addr)
  {

   return ( (unsigned long)EEPROM_read(addr++)<<24) + ((unsigned long) EEPROM_read(addr++)<<16) +
   ((unsigned long) EEPROM_read(addr++)<<8) + EEPROM_read(addr);
  }
  
   void E2P_write_float(unsigned int addr, float float_var) //      addr    float
{
    unsigned short* pSell;
    short i;
    pSell=&float_var;
    for (i=0; i<4; ++i)
        EEPROM_Write(addr+i,*(pSell+i));
}

float E2P_read_float(unsigned int addr)
{
      unsigned char i;
      float result;
      float* pResult;
      unsigned char* temp;
      temp=&result;
      for(i=0; i<4; ++i)
         *(temp+i) = EEPROM_Read(addr+i);
      return result;
}